package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.QuestionInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.dto.QuestionInfoDto;
import com.miaxis.question.dto.QuestionInfoRandDto;

/**
 * 题库Service接口
 *
 * @author miaxis
 * @date 2021-03-12
 */
public interface IQuestionInfoService extends IService<QuestionInfo>{

    List<QuestionInfo> getQuestionInfoList(QuestionInfoDto questionInfoDto);

    List<QuestionInfo> getRandQuestionInfoList(QuestionInfoRandDto questionInfoRandDto);
}
