package com.miaxis.dict.service;

import java.util.List;
import com.miaxis.dict.domain.DictCity;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 全国城市Service接口
 *
 * @author miaxis
 * @date 2021-03-18
 */
public interface IDictCityService extends IService<DictCity>{
    /**
     * 查询全国城市列表
     *
     * @param dictCity 全国城市
     * @return 全国城市集合
     */
    public List<DictCity> selectDictCityList(DictCity dictCity);
}
