package com.miaxis.question.dto;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 错题对象 question_error
 *
 * @author miaxis
 * @date 2021-03-16
 */
@Data
@ApiModel(value = "QuestionErrorDto", description = "错题对象 question_error")
public class QuestionErrorDto extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    @ApiModelProperty(value = "用户id",hidden = true)
    private Long userId;

    /** 题目id */
    @ApiModelProperty(value = "题目id")
    private Long questionId;

    /** 科目 */
    @ApiModelProperty(value = "科目")
    private Long kemu;


}
