package com.miaxis.question.service;

import java.util.List;
import com.miaxis.question.domain.QuestionError;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.dto.QuestionErrorDto;

/**
 * 错题Service接口
 *
 * @author miaxis
 * @date 2021-03-16
 */
public interface IQuestionErrorService extends IService<QuestionError>{
    /**
     * 查询错题列表
     *
     * @param questionError 错题
     * @return 错题集合
     */
    public List<QuestionError> selectQuestionErrorList(QuestionError questionError);

    public List<QuestionError> getQuestionErrorList(QuestionErrorDto questionErrorDto);
}
